Class | Nokogiri::XML::SyntaxError
In: | lib/nokogiri/xml/syntax_error.rb ext/nokogiri/xml_sax_push_parser.c
Parent: | ::Nokogiri::SyntaxError

The XML::SyntaxError is raised on parse errors

### Methods

error? fatal? none? to_s warning?

### Attributes

code | [R] |
column | [R] |
domain | [R] |
file | [R] |
int1 | [R] |
level | [R] |
line | [R] |
str1 | [R] |
str2 | [R] |
str3 | [R] |

### Public Instance methods

error?()

return true if this is an error

fatal?()

return true if this error is fatal

none?()

return true if this is a non error

to_s()
warning?()

return true if this is a warning

[Validate]